/v1/workspaces/{workspace_id}/suppression/{email}AuthRemove an address from the workspace suppression list.
Path parameters
workspace_id*string · uuidId of the workspace.
email*string · emailThe suppressed address (URL-encoded).
Response · 204
Suppression removed.
Example
Request
DELETE https://api.mail.productcraft.co/v1/workspaces/{workspace_id}/suppression/{email}
Authorization: Bearer YOUR_TOKENimport { Mail } from "@productcraft/mail";
// Reads PRODUCTCRAFT_API_KEY from the environment
const mail = new Mail();
await mail.suppression.delete("email");mail.suppression.delete(email, options?): void